package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:MatterFlowlimit
* date: 2021-9-23 13:21:04
*/
public class MatterFlowlimitQuery extends MatterFlowlimitEntity{
    private static final long serialVersionUID = 1632374464325L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 事项matter id */
    private Long matterIdStart;

    /** 结束 事项matter id */
    private Long matterIdEnd;

    /** 增加 事项matter id */
    private Long matterIdIncrement;

    /** 事项matter id */
    private List <Long> matterIdList;


    /** 办理流程 */
    private List<String> flowNameList;

    /** 办理时长 */
    private List<String> flowTimeList;

    /** 转外时限 */
    private List<String> flowTurnOutList;

    /** 办理流程说明 */
    private List<String> flowDescList;

    /** 开始 事项来源，0：政务网，1：自定义，默认0 */
    private Integer sourceStart;

    /** 结束 事项来源，0：政务网，1：自定义，默认0 */
    private Integer sourceEnd;

    /** 增加 事项来源，0：政务网，1：自定义，默认0 */
    private Integer sourceIncrement;

    /** 事项来源，0：政务网，1：自定义，默认0 */
    private List <Integer> sourceList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterFlowlimitQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterFlowlimitQuery> andConditionList;


    public MatterFlowlimitQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 事项matter id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
    return this.matterIdStart;
    }

    /**
    * 设置 开始 事项matter id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
    this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项matter id
    * @return matterIdEnd
    */
    public Long getMatterIdEnd(){
    return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项matter id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
    this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项matter id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
    return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项matter id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
    this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项matter id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
    return this.matterIdList;
    }

    /**
    * 设置 事项matter id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        }
    /**
    * 获取 办理流程
    * @return flowNameList
    */
    public List<String> getFlowNameList(){
        return this.flowNameList;
    }

    /**
    * 设置 办理流程
    * @param flowNameList
    */
    public void setFlowNameList(List<String> flowNameList){
        this.flowNameList = flowNameList;
    }
    /**
    * 获取 办理时长
    * @return flowTimeList
    */
    public List<String> getFlowTimeList(){
        return this.flowTimeList;
    }

    /**
    * 设置 办理时长
    * @param flowTimeList
    */
    public void setFlowTimeList(List<String> flowTimeList){
        this.flowTimeList = flowTimeList;
    }
    /**
    * 获取 转外时限
    * @return flowTurnOutList
    */
    public List<String> getFlowTurnOutList(){
        return this.flowTurnOutList;
    }

    /**
    * 设置 转外时限
    * @param flowTurnOutList
    */
    public void setFlowTurnOutList(List<String> flowTurnOutList){
        this.flowTurnOutList = flowTurnOutList;
    }
    /**
    * 获取 办理流程说明
    * @return flowDescList
    */
    public List<String> getFlowDescList(){
        return this.flowDescList;
    }

    /**
    * 设置 办理流程说明
    * @param flowDescList
    */
    public void setFlowDescList(List<String> flowDescList){
        this.flowDescList = flowDescList;
    }
    /**
    * 获取 开始 事项来源，0：政务网，1：自定义，默认0
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 事项来源，0：政务网，1：自定义，默认0
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 事项来源，0：政务网，1：自定义，默认0
    * @return sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 事项来源，0：政务网，1：自定义，默认0
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 事项来源，0：政务网，1：自定义，默认0
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 事项来源，0：政务网，1：自定义，默认0
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 事项来源，0：政务网，1：自定义，默认0
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 事项来源，0：政务网，1：自定义，默认0
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public MatterFlowlimitQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public MatterFlowlimitQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public MatterFlowlimitQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public MatterFlowlimitQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public MatterFlowlimitQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  事项matter id
    * @param matterId
    */
    public MatterFlowlimitQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项matter id
    * @param matterIdStart
    */
    public MatterFlowlimitQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项matter id
    * @param matterIdEnd
    */
    public MatterFlowlimitQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项matter id
    * @param matterIdIncrement
    */
    public MatterFlowlimitQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项matter id
    * @param matterIdList
    */
    public MatterFlowlimitQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }
	/**
    * 设置 办理流程
    * @param flowName
    */
    public MatterFlowlimitQuery flowName(String flowName){
        setFlowName(flowName);
		return this;
    }


    /**
    * 设置 办理流程
    * @param flowNameList
    */
    public MatterFlowlimitQuery flowNameList(List<String> flowNameList){
        this.flowNameList = flowNameList;
		return this;
    }
	/**
    * 设置 办理时长
    * @param flowTime
    */
    public MatterFlowlimitQuery flowTime(String flowTime){
        setFlowTime(flowTime);
		return this;
    }


    /**
    * 设置 办理时长
    * @param flowTimeList
    */
    public MatterFlowlimitQuery flowTimeList(List<String> flowTimeList){
        this.flowTimeList = flowTimeList;
		return this;
    }
	/**
    * 设置 转外时限
    * @param flowTurnOut
    */
    public MatterFlowlimitQuery flowTurnOut(String flowTurnOut){
        setFlowTurnOut(flowTurnOut);
		return this;
    }


    /**
    * 设置 转外时限
    * @param flowTurnOutList
    */
    public MatterFlowlimitQuery flowTurnOutList(List<String> flowTurnOutList){
        this.flowTurnOutList = flowTurnOutList;
		return this;
    }
	/**
    * 设置 办理流程说明
    * @param flowDesc
    */
    public MatterFlowlimitQuery flowDesc(String flowDesc){
        setFlowDesc(flowDesc);
		return this;
    }


    /**
    * 设置 办理流程说明
    * @param flowDescList
    */
    public MatterFlowlimitQuery flowDescList(List<String> flowDescList){
        this.flowDescList = flowDescList;
		return this;
    }
	
	/**
    * 设置  事项来源，0：政务网，1：自定义，默认0
    * @param source
    */
    public MatterFlowlimitQuery source(Integer source){
        setSource(source);
		return this;
    }

    /**
    * 设置 开始 事项来源，0：政务网，1：自定义，默认0
    * @param sourceStart
    */
    public MatterFlowlimitQuery sourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
		return this;
    }


    /**
    * 设置 结束 事项来源，0：政务网，1：自定义，默认0
    * @param sourceEnd
    */
    public MatterFlowlimitQuery sourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
		return this;
    }


    /**
    * 设置 增加 事项来源，0：政务网，1：自定义，默认0
    * @param sourceIncrement
    */
    public MatterFlowlimitQuery sourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
		return this;
    }


    /**
    * 设置 事项来源，0：政务网，1：自定义，默认0
    * @param sourceList
    */
    public MatterFlowlimitQuery sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public MatterFlowlimitQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public MatterFlowlimitQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public MatterFlowlimitQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public MatterFlowlimitQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public MatterFlowlimitQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public MatterFlowlimitQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public MatterFlowlimitQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public MatterFlowlimitQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MatterFlowlimitQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MatterFlowlimitQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MatterFlowlimitQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MatterFlowlimitQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}